org.apache.hadoop.util

## Class Options.StringOption

- java.lang.Object
- - org.apache.hadoop.util.Options.StringOption

- Enclosing class:
    Options

      public abstract static class Options.StringOption
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StringOption(String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringOption

          protected StringOption(String value)

  - ### Method Detail

    - #### getValue

          public String getValue()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.